package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/5/30 10:53
 */

@Getter
@Setter
public class AddEvaluatorVO {
    /**
     * 姓名
     */
    @NotBlank(message = "请输入姓名")
    private String name;

    /**
     * 手机号
     */
    @NotBlank(message = "请输手机号")
    private String phone;

    /**
     * 性别(1：男 2：女)
     */
    @NotNull(message = "请输入性别")
    private Integer sex;

    /**
     * 年龄
     */
    @NotNull(message = "请输入年龄")
    private Integer age;

    /**
     * 平和体质转化分
     */
    @NotNull(message = "请输入平和体质转化分")
    private BigDecimal mildValue;

    /**
     * 气虚体质转化分
     */
    @NotNull(message = "请输入气虚体质转化分")
    private BigDecimal faintValue;

    /**
     * 湿滞体质转化分
     */
    @NotNull(message = "请输入湿滞体质转化分")
    private BigDecimal wetValue;

    /**
     * 心肝火旺体质转化分
     */
    @NotNull(message = "请输入心肝火旺体质转化分")
    private BigDecimal heartValue;

    /**
     * 积滞体质转化分
     */
    @NotNull(message = "请输入积滞体质转化分")
    private BigDecimal stagnantValue;

    /**
     * 异禀体质转化分
     */
    @NotNull(message = "请输入异禀体质转化分")
    private BigDecimal exceptValue;
}
